aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xorg-server/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-26 20:08:28 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-26 20:14:14 +0000
commitb69dc78f200289d575ceb1c79528797b0e0d15b2 (patch)
tree4cd16d4776166334095660f65f1ddd5f3e5f7cef /x11/xorg-server/APKBUILD
parent428c5f529da97d73af2aeafdc0048bbb3130e0f2 (diff)
downloadaports-b69dc78f200289d575ceb1c79528797b0e0d15b2.tar.gz
aports-b69dc78f200289d575ceb1c79528797b0e0d15b2.tar.bz2
aports-b69dc78f200289d575ceb1c79528797b0e0d15b2.tar.xz
x11/xorg-server: include patches from archlinux
and enable dbus, xinerama etc.
Diffstat (limited to 'x11/xorg-server/APKBUILD')
-rw-r--r--x11/xorg-server/APKBUILD88
1 files changed, 26 insertions, 62 deletions
diff --git a/x11/xorg-server/APKBUILD b/x11/xorg-server/APKBUILD
index 54ae8dc8f2..ce70af60b1 100644
--- a/x11/xorg-server/APKBUILD
+++ b/x11/xorg-server/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xorg-server
pkgver=1.6.2
-pkgrel=0
+pkgrel=1
pkgdesc="X.Org X servers"
url="http://xorg.freedesktop.org"
license="custom"
@@ -9,18 +9,6 @@ subpackages="$pkgname-dev $pkgname-doc xfbdev"
depends="
font-misc-misc
font-cursor-misc
- libpciaccess
- libx11
- libxdamage
- libxfont
- libxv
- libxxf86dga
- libxxf86misc
- mesa
- openssl
- pixman
- uclibc
- libgcc
xkeyboard-config
xkbcomp
xinit
@@ -41,6 +29,7 @@ makedepends="
bigreqsproto
compositeproto
damageproto
+ dbus-dev
fixesproto
inputproto
pkgconfig
@@ -55,17 +44,31 @@ makedepends="
mesa-dev
libdrm-dev
perl
+ scrnsaverproto
+ xineramaproto
+ libxinerama-dev
"
# hal>=0.5.11 xcursor-themes xkeyboard-config>=1.3
# xorg-server-utils xorg-utils xorg-fonts-misc xbitmaps libdrm>=2.3.1
# diffutils xf86-input-evdev"
-source="http://xorg.freedesktop.org/releases/individual/xserver/$pkgname-$pkgver.tar.bz2"
+source="http://xorg.freedesktop.org/releases/individual/xserver/$pkgname-$pkgver.tar.bz2
+ server-1.6-branch.patch
+ xorg-redhat-die-ugly-pattern-die-die-die.patch
+"
depends_dev="pixman-dev libpciaccess-dev"
build () {
cd "$srcdir"/$pkgname-$pkgver
+
+ for i in ../*.patch; do
+ msg "Applying $i..."
+ patch -Np1 -i "$i" || return 1
+ done
+ # Fix dbus config path
+ sed -i -e 's/\$(sysconfdir)/\/etc/' config/Makefile.* || return 1
+
# xorg modules does not work with the -z now and it seems like we
# cannot pass over the linker flag to .so files. so we tweak the
@@ -81,6 +84,7 @@ build () {
--with-xkb-output=/var/lib/xkb \
--with-dri-driver-path=/usr/lib/xorg/modules/dri \
--enable-composite \
+ --enable-config-dbus \
--enable-dri \
--enable-ipv6 \
--enable-xfbdev \
@@ -89,62 +93,15 @@ build () {
--enable-xv \
--enable-xres \
--disable-xephyr \
- --disable-config-dbus \
--disable-config-hal \
--disable-dmx \
- --disable-glx \
--disable-tslib \
- --disable-xfree86-utils \
- --disable-xinerama \
--disable-xnest \
--disable-xsdl \
--disable-aiglx \
- --disable-xvmc \
- --disable-screensaver \
- --disable-xinerama \
--disable-xace \
|| return 1
-# --enable-xnest \
-# --enable-composite \
-# --enable-xcsecurity \
-# --enable-xorg \
-# --enable-xtrap \
-# --enable-xevie \
-# --enable-xephyr \
-# --enable-xorgcfg \
-# --enable-kdrive \
-# --enable-install-setuid \
-# --enable-config-hal \
-# --enable-config-dbus \
-# --enablee-xfbdev \
-# --disable-xfake \
-# --disable-xsdl \
-# --disable-xprint \
-# --disable-static \
-# --with-default-font-path=/usr/share/fonts/misc,/usr/share/fonts/100dpi:unscaled,/usr/share/fonts/75dpi:unscaled,/usr/share/fonts/TTF,/usr/share/fonts/Type1 \
-# --with-xkb-path=/usr/share/X11/xkb \
-# --with-xkb-output=/var/lib/xkb \
-# --with-dri-driver-path=/usr/lib/xorg/modules/dri \
-# --enable-glx-tls \
-# --disable-dri2 \
-# --enable-dri \
-
-# Those are clamied to be on by default
-# --enable-aiglx Build accelerated indirect GLX (default: enabled)
-# --disable-registry Build string registry module (default: enabled)
-# --disable-composite Build Composite extension (default: enabled)
-# --disable-shm Build SHM extension (default: enabled)
-# --disable-xres Build XRes extension (default: enabled)
-# --disable-xv Build Xv extension (default: enabled)
-# --disable-xvmc Build XvMC extension (default: enabled)
-# --disable-screensaver Build ScreenSaver extension (default: enabled)
-# --disable-glx Build GLX extension (default: enabled)
-# --disable-xinerama Build Xinerama extension (default: enabled)
-# --disable-xace Build X-ACE extension (default: enabled)
-# --disable-dbe Build DBE extension (default: enabled)
-# --disable-dpms Build DPMS extension (default: enabled)
-# --enable-xfree86-utils Build xfree86 DDX utilities (default: enabled)
make || return 1
make -j1 DESTDIR="$pkgdir" install || return 1
@@ -152,6 +109,11 @@ build () {
install -m755 -d "$pkgdir"/etc/X11 || return 1
install -m755 -d "$pkgdir"/var/lib/xkb || return 1
install -m644 -D COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+
+ # Needed for non-mesa drivers, libgl will restore it
+ mv "${pkgdir}/usr/lib/xorg/modules/extensions/libglx.so" \
+ "${pkgdir}/usr/lib/xorg/modules/extensions/libglx.xorg" || return 1
+
}
@@ -170,4 +132,6 @@ xephyr() {
mv "$pkgdir"/usr/bin/Xephyr "$subpkgdir"/usr/bin/
}
-md5sums="37641d0899df8a9c4a6284586d932b8d xorg-server-1.6.2.tar.bz2"
+md5sums="37641d0899df8a9c4a6284586d932b8d xorg-server-1.6.2.tar.bz2
+811b6f4cda60ac5f94fd790415efb073 server-1.6-branch.patch
+222de594206d1148a90eddfda4f7a11a xorg-redhat-die-ugly-pattern-die-die-die.patch"